#!/bin/sh
if [ ! -x libquicktime.so ] ; then
	echo "libquicktime.so not found:  Make sure you are running this from the quicktime"
	echo "root directory, and you have built it with:"
	echo "  ./configure"
	echo "  make"
	echo "Then execute install.sh (after copying it into the quicktime source"
	echo "directory!)."
	exit -1
fi

if ! grep "/usr/local/lib" /etc/ld.so.conf ; then
	echo "/usr/local/lib is not in your library path - please add it to"
	echo "/etc/ld.so.conf, and rerun install.sh!"
	exit -1
fi
install -d -m 755 /usr/local/include/quicktime/
install -m 644 quicktime.h codecs.h colormodels.h funcprotos.h graphics.h private.h /usr/local/include/quicktime/
install -m 755 libquicktime.so /usr/local/lib/
ldconfig
